## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Sphinx-generated HTML documentation is not suitable for packaging; see
# https://bugzilla.redhat.com/show_bug.cgi?id=2006555 for discussion.
#
# We can generate PDF documentation as a substitute.
# Not all doc requirements are available in RHEL
%bcond doc %{undefined rhel}

Name:           python-editables
Version:        0.5
Release:        %autorelease
Summary:        Editable installations

# SPDX
License:        MIT
URL:            https://github.com/pfmoore/editables
# PyPI source distributions lack tests; use the GitHub archive
Source:         %{url}/archive/%{version}/editables-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

# Most of the dependencies, and all of the pytest options, in tox.ini are for
# coverage analysis and for installation with pip/virtualenv. Rather than
# working around all of these, it is simpler not to use tox for dependency
# generation or testing.
BuildRequires:  python3dist(pytest)

%if %{with doc}
BuildRequires:  make
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3-sphinx-latex
BuildRequires:  latexmk
BuildRequires:  tex(pict2e.sty)
%endif

%global common_description %{expand:
A Python library for creating “editable wheels”

This library supports the building of wheels which, when installed, will expose
packages in a local directory on sys.path in “editable mode”. In other words,
changes to the package source will be reflected in the package visible to
Python, without needing a reinstall.}

%description %{common_description}


%package -n python3-editables
Summary:        %{summary}

%description -n python3-editables %{common_description}


%if %{with doc}
%package        doc
Summary:        Documentation for python-editables

%description    doc %{common_description}
%endif


%prep
%autosetup -n editables-%{version}


%generate_buildrequires
%pyproject_buildrequires %{?with_doc:docs/requirements.txt}


%build
%pyproject_wheel

%if %{with doc}
PYTHONPATH="${PWD}" %make_build -C docs latex \
    SPHINXOPTS='-j%{?_smp_build_ncpus}'
%make_build -C docs/build/latex LATEXMKOPTS='-quiet'
%endif


%install
%pyproject_install
%pyproject_save_files editables


%check
%pytest


%files -n python3-editables -f %{pyproject_files}
%license LICENSE.txt
%if %{without doc}
%doc CHANGELOG.md
%doc README.md
%endif


%if %{with doc}
%files doc
%license LICENSE.txt
%doc CHANGELOG.md
%doc README.md
%doc docs/build/latex/editables.pdf
%endif


%changelog
* Tue Jul 25 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5-1
- Update to 0.5 (close RHBZ#2225249)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jul 08 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4-3
- When we don’t build PDF docs, don’t build a -doc subpacakge at all

* Fri Jul 07 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 0.4-2
- Disable docs by default in RHEL builds

* Thu Jul 06 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4-1
- Update to 0.4 (close RHBZ#2220948)
- Upstream switched from setuptools to flit_core: pyproject-rpm-macros no
  longer handles LICENSE.txt

* Thu Jul 06 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3-8
- Add a -doc subpackage with PDF documentations

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.3-7
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Oct 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3-4
- Confirm License is SPDX MIT

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.3-2
- Rebuilt for Python 3.11

* Mon Apr 11 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3-1
- Update to 0.3 (close RHBZ#2073823)

* Thu Feb 17 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.0-1
- Initial package (close RHBZ#2050876)
